	-- Exemplo 10 - HelloWorld
-- Arquitetura de Computadores
-- Prof. Erivelton
-- Adaptaed from: Martin Schoeberl

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity HelloWorld is

port (
	clk: in  std_logic;
    led: out std_logic
	);
end HelloWorld;

architecture rtl of HelloWorld is
	constant CLK_FREQ    : integer := 50000000;
	constant BLINK_FREQ  : integer := 2;
	constant CNT_MAX     : integer := CLK_FREQ/BLINK_FREQ/2-1;
	-- Sinais
	signal   cnt         : unsigned(24 downto 0);
	signal   blink       : std_logic;
	begin
		process(clk)
		begin
		if rising_edge(clk) then
			if cnt=CNT_MAX then
				cnt   <= (others => '0');
				blink <= not blink;
				else
				cnt  <= cnt + 1;
			end if;
		end if;
	end process;
	led <= blink;
end rtl;



